
From: Thierry Vignaud <tvignaud@mandriva.com>

fix compiling USB DVB drivers (at least with gcc-4):

Cc: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/dvb-usb/a800.c        |    2 +-
 drivers/media/dvb/dvb-usb/dibusb-mb.c   |    6 +++---
 drivers/media/dvb/dvb-usb/dibusb-mc.c   |    2 +-
 drivers/media/dvb/dvb-usb/digitv.c      |    2 +-
 drivers/media/dvb/dvb-usb/dtt200u.c     |    2 +-
 drivers/media/dvb/dvb-usb/nova-t-usb2.c |    2 +-
 drivers/media/dvb/dvb-usb/umt-010.c     |    2 +-
 drivers/media/dvb/dvb-usb/vp7045.c      |    2 +-
 8 files changed, 10 insertions(+), 10 deletions(-)

diff -puN drivers/media/dvb/dvb-usb/a800.c~add-generalized-dvb-usb-driver-fix-3 drivers/media/dvb/dvb-usb/a800.c
--- 25/drivers/media/dvb/dvb-usb/a800.c~add-generalized-dvb-usb-driver-fix-3	2005-05-30 03:09:39.000000000 -0700
+++ 25-akpm/drivers/media/dvb/dvb-usb/a800.c	2005-05-30 03:09:39.000000000 -0700
@@ -125,7 +125,7 @@ static struct dvb_usb_properties a800_pr
 		.type = DVB_USB_BULK,
 		.count = 7,
 		.endpoint = 0x06,
-		.u {
+		.u = {
 			.bulk = {
 				.buffersize = 4096,
 			}
diff -puN drivers/media/dvb/dvb-usb/dibusb-mb.c~add-generalized-dvb-usb-driver-fix-3 drivers/media/dvb/dvb-usb/dibusb-mb.c
--- 25/drivers/media/dvb/dvb-usb/dibusb-mb.c~add-generalized-dvb-usb-driver-fix-3	2005-05-30 03:09:39.000000000 -0700
+++ 25-akpm/drivers/media/dvb/dvb-usb/dibusb-mb.c	2005-05-30 03:09:39.000000000 -0700
@@ -149,7 +149,7 @@ static struct dvb_usb_properties dibusb1
 		.type = DVB_USB_BULK,
 		.count = 7,
 		.endpoint = 0x02,
-		.u {
+		.u = {
 			.bulk = {
 				.buffersize = 4096,
 			}
@@ -221,7 +221,7 @@ static struct dvb_usb_properties dibusb1
 		.type = DVB_USB_BULK,
 		.count = 7,
 		.endpoint = 0x02,
-		.u {
+		.u = {
 			.bulk = {
 				.buffersize = 4096,
 			}
@@ -265,7 +265,7 @@ static struct dvb_usb_properties dibusb2
 		.type = DVB_USB_BULK,
 		.count = 7,
 		.endpoint = 0x06,
-		.u {
+		.u = {
 			.bulk = {
 				.buffersize = 4096,
 			}
diff -puN drivers/media/dvb/dvb-usb/dibusb-mc.c~add-generalized-dvb-usb-driver-fix-3 drivers/media/dvb/dvb-usb/dibusb-mc.c
--- 25/drivers/media/dvb/dvb-usb/dibusb-mc.c~add-generalized-dvb-usb-driver-fix-3	2005-05-30 03:09:39.000000000 -0700
+++ 25-akpm/drivers/media/dvb/dvb-usb/dibusb-mc.c	2005-05-30 03:09:39.000000000 -0700
@@ -61,7 +61,7 @@ static struct dvb_usb_properties dibusb_
 		.type = DVB_USB_BULK,
 		.count = 7,
 		.endpoint = 0x06,
-		.u {
+		.u = {
 			.bulk = {
 				.buffersize = 4096,
 			}
diff -puN drivers/media/dvb/dvb-usb/digitv.c~add-generalized-dvb-usb-driver-fix-3 drivers/media/dvb/dvb-usb/digitv.c
--- 25/drivers/media/dvb/dvb-usb/digitv.c~add-generalized-dvb-usb-driver-fix-3	2005-05-30 03:09:39.000000000 -0700
+++ 25-akpm/drivers/media/dvb/dvb-usb/digitv.c	2005-05-30 03:09:39.000000000 -0700
@@ -231,7 +231,7 @@ static struct dvb_usb_properties digitv_
 		.type = DVB_USB_BULK,
 		.count = 7,
 		.endpoint = 0x02,
-		.u {
+		.u = {
 			.bulk = {
 				.buffersize = 4096,
 			}
diff -puN drivers/media/dvb/dvb-usb/dtt200u.c~add-generalized-dvb-usb-driver-fix-3 drivers/media/dvb/dvb-usb/dtt200u.c
--- 25/drivers/media/dvb/dvb-usb/dtt200u.c~add-generalized-dvb-usb-driver-fix-3	2005-05-30 03:09:39.000000000 -0700
+++ 25-akpm/drivers/media/dvb/dvb-usb/dtt200u.c	2005-05-30 03:09:39.000000000 -0700
@@ -118,7 +118,7 @@ static struct dvb_usb_properties dtt200u
 		.type = DVB_USB_BULK,
 		.count = 7,
 		.endpoint = 0x02,
-		.u {
+		.u = {
 			.bulk = {
 				.buffersize = 4096,
 			}
diff -puN drivers/media/dvb/dvb-usb/nova-t-usb2.c~add-generalized-dvb-usb-driver-fix-3 drivers/media/dvb/dvb-usb/nova-t-usb2.c
--- 25/drivers/media/dvb/dvb-usb/nova-t-usb2.c~add-generalized-dvb-usb-driver-fix-3	2005-05-30 03:09:39.000000000 -0700
+++ 25-akpm/drivers/media/dvb/dvb-usb/nova-t-usb2.c	2005-05-30 03:09:39.000000000 -0700
@@ -185,7 +185,7 @@ static struct dvb_usb_properties nova_t_
 		.type = DVB_USB_BULK,
 		.count = 7,
 		.endpoint = 0x06,
-		.u {
+		.u = {
 			.bulk = {
 				.buffersize = 4096,
 			}
diff -puN drivers/media/dvb/dvb-usb/umt-010.c~add-generalized-dvb-usb-driver-fix-3 drivers/media/dvb/dvb-usb/umt-010.c
--- 25/drivers/media/dvb/dvb-usb/umt-010.c~add-generalized-dvb-usb-driver-fix-3	2005-05-30 03:09:39.000000000 -0700
+++ 25-akpm/drivers/media/dvb/dvb-usb/umt-010.c	2005-05-30 03:09:39.000000000 -0700
@@ -111,7 +111,7 @@ static struct dvb_usb_properties umt_pro
 		.type = DVB_USB_BULK,
 		.count = 20,
 		.endpoint = 0x06,
-		.u {
+		.u = {
 			.bulk = {
 				.buffersize = 512,
 			}
diff -puN drivers/media/dvb/dvb-usb/vp7045.c~add-generalized-dvb-usb-driver-fix-3 drivers/media/dvb/dvb-usb/vp7045.c
--- 25/drivers/media/dvb/dvb-usb/vp7045.c~add-generalized-dvb-usb-driver-fix-3	2005-05-30 03:09:39.000000000 -0700
+++ 25-akpm/drivers/media/dvb/dvb-usb/vp7045.c	2005-05-30 03:09:39.000000000 -0700
@@ -206,7 +206,7 @@ static struct dvb_usb_properties vp7045_
 		.type = DVB_USB_BULK,
 		.count = 7,
 		.endpoint = 0x02,
-		.u {
+		.u = {
 			.bulk = {
 				.buffersize = 4096,
 			}
_
